
.mat-form-field-appearance-outline {
  font-size: 11px;
}

.visaSignList {
  ::ng-deep.mat-optgroup-label {
    color: var(--maarch-color-primary);
    position: sticky;
    top: 0px;
    background: white !important;
    z-index: 1;
  }
}

.columns:last-child {
  border: none;
}

.columns {
  cursor: move;
}

.notDraggable {
  cursor: not-allowed;
}

.notEditable {
  cursor: initial;
}

.currentContextButton {
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 13px;
  width: 150px;
  text-align: left;
}

.currentRoleButton {
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 13px;
  width: 120px;
  text-align: center;
}

.emptyContent {
  opacity: 0.5;
  text-align: center;
  font-size: 10px;
  padding: 10px;
}

.processed {
  background: var(--maarch-color-success-opacity-10) !important;
}

.interrupt {
  background: var(--maarch-color-danger-opacity-10) !important;
}

.workflow {
  padding-top: 10px;
  padding-bottom: 10px;
  height: auto !important;
  margin-bottom: 10px;
  background: rgba(216, 216, 216, 0.1);
  border-radius: 10px;
  font-size: 13px;
}

.workflowLine {
  display: flex !important;
  align-items: center;

  &Container {
    flex: 1;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  &Label {
    text-overflow: ellipsis;
    overflow: hidden;
  }

  &SubLabel {
    font-size: 80%;
    opacity: 0.5;
    flex: 1;
    text-overflow: ellipsis;
    overflow: hidden;
  }

  &ProcessDate {
    flex: 1;
    text-align: left;
    font-size: 80%;
  }

  .mat-raised-button[disabled] {
    background: none;
    color: var(--maarch-color-primary) !important;
    opacity: 1;
  }
}

.avatar {
  border: solid 3px var(--maarch-color-secondary);
  height: 45px !important;
  width: 45px !important;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.valid {
  color: var(--maarch-color-success);
}

.invalid {
  color: var(--maarch-color-danger);
}

.commentBubble {
  color: var(--maarch-color-secondary);
  position: absolute;
  top: -12px;
  right: -11px;
  font-size: 20px;
  cursor: help;
}

.comment:disabled {
  color: black;
}

.unauthorized {
  color: var(--maarch-color-danger);
  text-decoration: line-through;
}

.invalidMsg {
  opacity: 0.5;
  width: 150px;
  white-space: break-spaces;
  text-align: center;
}

.selected {
  background: var(--maarch-color-secondary-opacity-50);
}
.button-form-primary {
  background: white;
  border: solid 1px var(--maarch-color-primary);
  color: var(--maarch-color-primary);
  border-radius: 30px;
  padding-left: 20px;
  padding-right: 20px;
  width: 130px;
  height: 35px;

  @media (max-width: 768px) {
    width: auto;
  }

  transition: all 0.1s;

  &:hover,
  &[aria-expanded=true] {
    background: var(--maarch-color-primary) !important;
    border: solid 1px white !important;
    color: white !important;
    transition: all 0.1s;

  }

  ::ng-deep.mat-button-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;

    .menu-label {
      display: flex;
      flex: 1;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      margin-right: 10px;
    }

    .menu-icon {
      display: flex;
    }
  }
}